<?php namespace JsonApi\Interfaces;
interface Resource {

	function getType();

	function executeList($parameters = []);
	function executeGet($id, $parameters = []);
	function executePost($data, $parameters = []);
	function executePatch($data, $parameters = []);
	function executeDelete($id, $parameters = []);

	function getIncluded();

	function getRelationships();

	function getData();

}
